﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace M51
{
    class Finals
    {
        public int floor;
        public int x;
        public int y;
        public int rot;
    }

    class Block
    {



        public Finals Final;
        public string Color { get; private set; }
        private int Width;
        private int Lenght;

        public Block(int width, int length,string color)
        {
            this.Width = width;
            this.Lenght = length;
            this.Color = color;
            this.Final = new Finals();
        }

        public int WidthForRot(int rot)
        {
            if (rot == 1) return Lenght;
            else if (rot == 2) return -Width;
            else if (rot == 3) return -Lenght;
            return Width;
        }

        public int LenghtForRot(int rot)
        {
            if (rot == 1) return Width;
            else if (rot == 2) return -Lenght;
            else if (rot == 3) return -Width;
            return Lenght;
        }

        public override string ToString()
        {
            int finaly = 0;
            if (WidthForRot(Final.rot) > 0) finaly = Final.y;else finaly = Final.y + WidthForRot(Final.rot);
            int finalx = 0;
            if (LenghtForRot(Final.rot) > 0) finalx = Final.x;else finalx =  Final.x + LenghtForRot(Final.rot);
            int finalwidth = Width;
            int finallenght = Lenght;
            if (Final.rot % 2 == 1)
            {
                finalwidth = Lenght;
                finallenght = Width;
            }
            return ((Final.floor + 1) + " " + (finalx + 1) + " " + (finaly + 1) + " " + Color + " " + finallenght + "X" + finalwidth);
        }

    }
}
