﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.IO;


//Resena cast 1 - generovani stavebniho planu

namespace M51
{
    public partial class Form1 : Form
    {
        private List<Tower> Towers;

        public Form1()
        {
            InitializeComponent();
            Towers = new List<Tower>();
            directorytb_TextChanged(this,EventArgs.Empty);
        }

        private void browsebutton_Click(object sender, EventArgs e)
        {
            OpenFileDialog dialog = new OpenFileDialog();

            if (dialog.ShowDialog(this) == DialogResult.OK)
            {
                directorytb.Text = dialog.FileName;
            }
        }

        private void directorytb_TextChanged(object sender, EventArgs e)
        {
            try
            {
                string[] paths = Directory.GetFiles((directorytb.Text.Trim().Length > 0) ? directorytb.Text : Application.StartupPath);
                Towers.Clear();

                for (int i = 0; i < paths.Count(); i++)
                {
                    if (paths[i].Contains(".in"))
                        Towers.Add(new Tower(paths[i]));
                }
                resultslb.Items.Clear();
                foreach (Tower t in Towers)
                {
                    t.PrintResult(resultslb);
                }
            }
            catch { }
            
        }
    }
}
